Skip to content
Get started

Register

POST/api/auth/register/

Create an account with email and password.

Body ParametersExpand Collapse
email: string
formatemail
minLength1
password: string
minLength8
maxLength128
password_confirm: string
minLength8
maxLength128
ReturnsExpand Collapse
access: string
refresh: string
user: object { id, email, email_verified }
id: number
email: string
formatemail
maxLength254
email_verified: optional boolean
Register
curl https://api.overmindlab.ai/api/auth/register/ \
    -H 'Content-Type: application/json' \
    -d '{
          "email": "dev@stainless.com",
          "password": "xxxxxxxx",
          "password_confirm": "xxxxxxxx"
        }'
{
  "access": "access",
  "refresh": "refresh",
  "user": {
    "id": 0,
    "email": "dev@stainless.com",
    "email_verified": true
  }
}
Returns Examples
{
  "access": "access",
  "refresh": "refresh",
  "user": {
    "id": 0,
    "email": "dev@stainless.com",
    "email_verified": true
  }
}